SET(XSCRIPT_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/exec/scripts)
MAKE_DIRECTORY(${XSCRIPT_OUTPUT_PATH})
# define TSP_XSCRIPT MACRO
MACRO(TSP_XSCRIPT)
  FOREACH(SCRIPT_FILE ${ARGV})
    GET_FILENAME_COMPONENT(FN ${SCRIPT_FILE} NAME)
    CONFIGURE_FILE(${SCRIPT_FILE} ${XSCRIPT_OUTPUT_PATH}/${FN} COPYONLY)
  ENDFOREACH(SCRIPT_FILE)
ENDMACRO(TSP_XSCRIPT)

SET(XINCLUDE_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/exec/${CMAKE_SYSTEM_NAME}/${CMAKE_BUILD_TYPE}/include)
MAKE_DIRECTORY(${XINCLUDE_OUTPUT_PATH})
# define TSP_XINCLUDE MACRO
MACRO(TSP_XINCLUDE)
  FOREACH(INCLUDE_FILE ${ARGV})
    GET_FILENAME_COMPONENT(FN ${INCLUDE_FILE} NAME)
    CONFIGURE_FILE(${INCLUDE_FILE} ${XINCLUDE_OUTPUT_PATH}/${FN} COPYONLY)
  ENDFOREACH(INCLUDE_FILE)
ENDMACRO(TSP_XINCLUDE)

MACRO(TSP_CONFIGURE_FILE_AUTOTOOLS_COMPAT)
  SET(configure_input "${ARGV1} generated from ${ARGV0} by CMake.")
  CONFIGURE_FILE(${ARGV})
ENDMACRO(TSP_CONFIGURE_FILE_AUTOTOOLS_COMPAT)

MARK_AS_ADVANCED(
  XSCRIPT_OUTPUT_PATH
  XINCLUDE_OUTPUT_PATH
  )

MESSAGE(STATUS "TSP CMake Tools loaded.")